## net.i2p.client
Class SessionIdleTimer

    java.lang.Object
      net.i2p.client.SessionIdleTimer

All Implemented Interfaces:
  SimpleTimer.TimedEvent

     class SessionIdleTimer

extends Object
implements SimpleTimer.TimedEvent

Reduce tunnels or shutdown the session on idle if so configured

Author:
  zzz

Field Summary
`static long` `MINIMUM_TIME`

Constructor Summary
`SessionIdleTimer(I2PAppContext context, I2PSessionImpl session, boolean reduce, boolean shutdown)` reduce, shutdown, or both must be true

Method Summary
`void` `timeReached()` the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_TIME

    public static final long MINIMUM_TIME

See Also:
  Constant Field Values

Constructor Detail

### SessionIdleTimer

    public SessionIdleTimer(I2PAppContext context,
                            I2PSessionImpl session,
                            boolean reduce,
                            boolean shutdown)

  reduce, shutdown, or both must be true

Method Detail

### timeReached

    public void timeReached()

  Description copied from interface: `SimpleTimer.TimedEvent`
  the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

  Specified by:
    `timeReached` in interface `SimpleTimer.TimedEvent`